Subject: Apply new conventions for naming of Domain Models and Repositories
Description

The naming conventions for domain models, validators and repositories should change to the following scheme:

\F3
  \Blog
    \Domain
      \Model
        Blog
        CommentInterface
        AbstractComment
        GoodComment
        Badcomment
      \Repository
        BlogRepository
        PostRepository
      \Validator
        BlogValidator
        EverythingFineValidator

This probably requires changes in the resolving mechanism for validators and repositories.
Make sure that also substructures are supported:

    \Domain
      \Model
        \Content
          ContentInterface
          AbstractContent
          Page
          Text  
        Site
        StructureNode
      \Repository   
        \Content
          PageRepository
        SiteRepository
        StructureNodeRepository

Document the new conventions in the manual.
Associated revisions
Revision c98cd648 - 2009-06-04 23:02 - Karsten Dambekalns

[!!!] FLOW3: New conventions for naming of Domain Models and Repositories in place, resolves #3507

Revision 83c0814c - 2009-06-04 23:53 - Karsten Dambekalns

FLOW3 (Documentation): added some word about model/repository naming conventions, refs #3507
FLOW3 (Documentation): fixed DocBook structure to achieve validity and better semantics

History
#1 - 2009-05-31 22:07 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns

#2 - 2009-06-02 16:02 - Karsten Dambekalns
- Target version changed from 1.0 alpha 1 to 1.0 alpha 2

Moving to alpha2...

#3 - 2009-06-05 00:00 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r2568.
